Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
can't emerge anything
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 1:32 am    Post subject: can't emerge anything Reply with quote

when I type
Code:
emerge --sync
and hit return just goes back to
Code:
#
.
same happens if I do
Code:
emerge --search audio
or anything with emerge.
this is what I get:
Code:
$su -
password:
#emerge --sync
#emerge --sync
#exit
logout
$
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2070

PostPosted: Wed Apr 27, 2011 2:14 am    Post subject: Reply with quote

a) you're in a Gentoo-system (ie chrooted from a livecd or booted into one)?
b) since when does this happen? has it ever worked correctly?
c) what do the following commands return?
Code:
emerge --version ; echo $?
Code:
which emerge
Code:
file `which emerge`


d) if it ever worked, please upload /var/log/emerge.log - or past the last ~100 lines
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4614
Location: Saint Amant, Acadiana

PostPosted: Wed Apr 27, 2011 3:44 am    Post subject: Reply with quote

Probably system Python got upgraded but is not set.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
wswartzendruber
Veteran
Veteran


Joined: 23 Mar 2004
Posts: 1221
Location: Jefferson, USA

PostPosted: Wed Apr 27, 2011 3:50 am    Post subject: Reply with quote

Jaglover wrote:
Probably system Python got upgraded but is not set.

++

Same thing happened with me.
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 8:16 am    Post subject: Reply with quote

Actually the last thing I did - now that I remember - was update the system and run revdep-rebuild and then emerge --depclean and I got a lot of errors but I didn't pay attention I just shut down cause I had to go. Anyways I was looking the emerge.log and portage log and this is what I had. had to use nano to view the logs cause vi returned me this:
Code:
vi: error while loading shared libraries: libpython2.6.so.1.0: cannot open shared object file: No such file or directory

This is portage summary.log
Code:
>>> Messages generated by process 8450 on 2011-04-26 07:41:37 AST for package x11-libs/libnotify-0.7.2:

WARN: postinst
Old versions of installed libraries were detected on your system.
In order to avoid breaking packages that depend on these old libs,
the libraries are not being removed.  You need to run revdep-rebuild
in order to remove these old dependencies.  If you do not have this
helper program, simply emerge the 'gentoolkit' package.

  # revdep-rebuild --library '/usr/lib/libnotify.so.1'

Once you've finished running revdep-rebuild, it should be safe to
delete the old libraries.  Here is a copy & paste for the lazy:
  # rm '/usr/lib/libnotify.so.1'


Thats the last I did then after:
Code:
revdep-rebuild
again and
Code:
emerge --depclean
I got this:
Code:
>>> Messages generated by process 22878 on 2011-04-26 08:32:25 AST for package dev-lang/python-2.6.6-r2:

ERROR: postrm
The ebuild phase 'postrm' has exited unexpectedly. This type of behavior
is known to be triggered by things such as failed variable assignments
(bug #190128) or bad substitution errors (bug #200313). Normally, before
exiting, bash should have displayed an error message above. If bash did
not produce an error message above, it's possible that the ebuild has
called `exit` when it should have called `die` instead. This behavior
may also be triggered by a corrupt bash binary or a hardware problem
such as memory or cpu malfunction. If the problem is not reproducible or
it appears to occur randomly, then it is likely to be triggered by a
hardware problem. If you suspect a hardware problem then you should try
some basic hardware diagnostics such as memtest. Please do not report
this as a bug unless it is consistently reproducible and you are sure
that your bash binary and hardware are functioning properly.
The 'postrm' phase of the 'dev-lang/python-2.6.6-r2' package has failed
with exit value 1.

The problem occurred while executing the ebuild file named
'python-2.6.6-r2.ebuild' located in the '/var/db/pkg/dev-
lang/python-2.6.6-r2' directory. If necessary, manually remove the
environment.bz2 file and/or the ebuild file located in that directory.

Removal of the environment.bz2 file is preferred since it may allow the
removal phases to execute successfully. The ebuild will be sourced and
the eclasses from the current portage tree will be used when necessary.
Removal of the ebuild file will cause the pkg_prerm() and pkg_postrm()
removal phases to be skipped entirely.
ERROR: dev-lang/python-2.6.6-r2 failed (postrm phase):
  filter-bash-environment.py failed

Call stack:
  ebuild.sh, line 1950:  Called preprocess_ebuild_env
  ebuild.sh, line 1837:  Called filter_readonly_variables
  ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-lang/python-2.6.6-r2',
the complete build log and the output of 'emerge -pqv =dev-lang/python-2.6.6-r2'.
The complete build log is located at '/var/tmp/binpkgs/dev-lang/python-2.6.6-r2/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-lang/python-2.6.6-r2/temp/environment'.
S: '/var/tmp/binpkgs/dev-lang/python-2.6.6-r2/work/python-2.6.6'

ERROR: other
ERROR: dev-lang/python-2.6.6-r2 failed:
  filter-bash-environment.py failed

Call stack:
  misc-functions.sh, line   17:  Called source '/usr/lib/portage/bin/ebuild.sh'
          ebuild.sh, line 1950:  Called preprocess_ebuild_env
          ebuild.sh, line 1837:  Called filter_readonly_variables
          ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-lang/python-2.6.6-r2',
the complete build log and the output of 'emerge -pqv =dev-lang/python-2.6.6-r2'.
This ebuild is from an overlay named 'gentoo': '/var/db/pkg/'
The complete build log is located at '/var/tmp/binpkgs/dev-lang/python-2.6.6-r2/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-lang/python-2.6.6-r2/temp/environment'.
S: '/var/tmp/binpkgs/dev-lang/python-2.6.6-r2/work/python-2.6.6'


>>> Messages generated by process 22878 on 2011-04-26 08:32:28 AST for package dev-cpp/cairomm-1.8.6:

ERROR: prerm
The ebuild phase 'prerm' has exited unexpectedly. This type of behavior
is known to be triggered by things such as failed variable assignments
(bug #190128) or bad substitution errors (bug #200313). Normally, before
exiting, bash should have displayed an error message above. If bash did
not produce an error message above, it's possible that the ebuild has
called `exit` when it should have called `die` instead. This behavior
may also be triggered by a corrupt bash binary or a hardware problem
such as memory or cpu malfunction. If the problem is not reproducible or
it appears to occur randomly, then it is likely to be triggered by a
hardware problem. If you suspect a hardware problem then you should try
some basic hardware diagnostics such as memtest. Please do not report
this as a bug unless it is consistently reproducible and you are sure
that your bash binary and hardware are functioning properly.
ERROR: dev-cpp/cairomm-1.8.6 failed (prerm phase):
  filter-bash-environment.py failed

Call stack:
  ebuild.sh, line 1950:  Called preprocess_ebuild_env
  ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
  ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/cairomm-1.8.6',
the complete build log and the output of 'emerge -pqv =dev-cpp/cairomm-1.8.6'.
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/work/cairomm-1.8.6'

ERROR: postrm
The ebuild phase 'postrm' has exited unexpectedly. This type of behavior
is known to be triggered by things such as failed variable assignments
(bug #190128) or bad substitution errors (bug #200313). Normally, before
exiting, bash should have displayed an error message above. If bash did
not produce an error message above, it's possible that the ebuild has
called `exit` when it should have called `die` instead. This behavior
may also be triggered by a corrupt bash binary or a hardware problem
such as memory or cpu malfunction. If the problem is not reproducible or
it appears to occur randomly, then it is likely to be triggered by a
hardware problem. If you suspect a hardware problem then you should try
some basic hardware diagnostics such as memtest. Please do not report
this as a bug unless it is consistently reproducible and you are sure
that your bash binary and hardware are functioning properly.
The 'postrm' phase of the 'dev-cpp/cairomm-1.8.6' package has failed
with exit value 1.

The problem occurred while executing the ebuild file named
'cairomm-1.8.6.ebuild' located in the '/var/db/pkg/dev-
cpp/cairomm-1.8.6' directory. If necessary, manually remove the
environment.bz2 file and/or the ebuild file located in that directory.

Removal of the environment.bz2 file is preferred since it may allow the
removal phases to execute successfully. The ebuild will be sourced and
the eclasses from the current portage tree will be used when necessary.
Removal of the ebuild file will cause the pkg_prerm() and pkg_postrm()
removal phases to be skipped entirely.
ERROR: dev-cpp/cairomm-1.8.6 failed (postrm phase):
  filter-bash-environment.py failed

Call stack:
  ebuild.sh, line 1950:  Called preprocess_ebuild_env
  ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
  ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/cairomm-1.8.6',
the complete build log and the output of 'emerge -pqv =dev-cpp/cairomm-1.8.6'.
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/work/cairomm-1.8.6'

ERROR: other
ERROR: dev-cpp/cairomm-1.8.6 failed:
  filter-bash-environment.py failed

Call stack:
  misc-functions.sh, line   17:  Called source '/usr/lib/portage/bin/ebuild.sh'
          ebuild.sh, line 1950:  Called preprocess_ebuild_env
          ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
          ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/cairomm-1.8.6',
the complete build log and the output of 'emerge -pqv =dev-cpp/cairomm-1.8.6'.
This ebuild is from an overlay named 'gentoo': '/var/db/pkg/'
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/work/cairomm-1.8.6'
ERROR: dev-cpp/cairomm-1.8.6 failed:
  filter-bash-environment.py failed

Call stack:
  misc-functions.sh, line   17:  Called source '/usr/lib/portage/bin/ebuild.sh'
          ebuild.sh, line 1950:  Called preprocess_ebuild_env
          ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
          ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/cairomm-1.8.6',
the complete build log and the output of 'emerge -pqv =dev-cpp/cairomm-1.8.6'.
This ebuild is from an overlay named 'gentoo': '/var/db/pkg/'
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/cairomm-1.8.6/work/cairomm-1.8.6'


>>> Messages generated by process 22878 on 2011-04-26 08:32:29 AST for package dev-cpp/glibmm-2.24.2-r1:

ERROR: prerm
The ebuild phase 'prerm' has exited unexpectedly. This type of behavior
is known to be triggered by things such as failed variable assignments
(bug #190128) or bad substitution errors (bug #200313). Normally, before
exiting, bash should have displayed an error message above. If bash did
not produce an error message above, it's possible that the ebuild has
called `exit` when it should have called `die` instead. This behavior
may also be triggered by a corrupt bash binary or a hardware problem
such as memory or cpu malfunction. If the problem is not reproducible or
it appears to occur randomly, then it is likely to be triggered by a
hardware problem. If you suspect a hardware problem then you should try
some basic hardware diagnostics such as memtest. Please do not report
this as a bug unless it is consistently reproducible and you are sure
that your bash binary and hardware are functioning properly.
ERROR: dev-cpp/glibmm-2.24.2-r1 failed (prerm phase):
  filter-bash-environment.py failed

Call stack:
  ebuild.sh, line 1950:  Called preprocess_ebuild_env
  ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
  ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/glibmm-2.24.2-r1',
the complete build log and the output of 'emerge -pqv =dev-cpp/glibmm-2.24.2-r1'.
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/work/glibmm-2.24.2'

ERROR: postrm
The ebuild phase 'postrm' has exited unexpectedly. This type of behavior
is known to be triggered by things such as failed variable assignments
(bug #190128) or bad substitution errors (bug #200313). Normally, before
exiting, bash should have displayed an error message above. If bash did
not produce an error message above, it's possible that the ebuild has
called `exit` when it should have called `die` instead. This behavior
may also be triggered by a corrupt bash binary or a hardware problem
such as memory or cpu malfunction. If the problem is not reproducible or
it appears to occur randomly, then it is likely to be triggered by a
hardware problem. If you suspect a hardware problem then you should try
some basic hardware diagnostics such as memtest. Please do not report
this as a bug unless it is consistently reproducible and you are sure
that your bash binary and hardware are functioning properly.
The 'postrm' phase of the 'dev-cpp/glibmm-2.24.2-r1' package has failed
with exit value 1.

The problem occurred while executing the ebuild file named
'glibmm-2.24.2-r1.ebuild' located in the '/var/db/pkg/dev-
cpp/glibmm-2.24.2-r1' directory. If necessary, manually remove the
environment.bz2 file and/or the ebuild file located in that directory.

Removal of the environment.bz2 file is preferred since it may allow the
removal phases to execute successfully. The ebuild will be sourced and
the eclasses from the current portage tree will be used when necessary.
Removal of the ebuild file will cause the pkg_prerm() and pkg_postrm()
removal phases to be skipped entirely.
ERROR: dev-cpp/glibmm-2.24.2-r1 failed (postrm phase):
  filter-bash-environment.py failed

Call stack:
  ebuild.sh, line 1950:  Called preprocess_ebuild_env
  ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
  ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/glibmm-2.24.2-r1',
the complete build log and the output of 'emerge -pqv =dev-cpp/glibmm-2.24.2-r1'.
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/work/glibmm-2.24.2'

ERROR: other
ERROR: dev-cpp/glibmm-2.24.2-r1 failed:
  filter-bash-environment.py failed

Call stack:
  misc-functions.sh, line   17:  Called source '/usr/lib/portage/bin/ebuild.sh'
          ebuild.sh, line 1950:  Called preprocess_ebuild_env
          ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
          ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/glibmm-2.24.2-r1',
the complete build log and the output of 'emerge -pqv =dev-cpp/glibmm-2.24.2-r1'.
This ebuild is from an overlay named 'gentoo': '/var/db/pkg/'
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/work/glibmm-2.24.2'
ERROR: dev-cpp/glibmm-2.24.2-r1 failed:
  filter-bash-environment.py failed

Call stack:
  misc-functions.sh, line   17:  Called source '/usr/lib/portage/bin/ebuild.sh'
          ebuild.sh, line 1950:  Called preprocess_ebuild_env
          ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
          ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-cpp/glibmm-2.24.2-r1',
the complete build log and the output of 'emerge -pqv =dev-cpp/glibmm-2.24.2-r1'.
This ebuild is from an overlay named 'gentoo': '/var/db/pkg/'
The complete build log is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/temp/environment'.
S: '/var/tmp/binpkgs/dev-cpp/glibmm-2.24.2-r1/work/glibmm-2.24.2'


>>> Messages generated by process 22878 on 2011-04-26 08:32:31 AST for package dev-libs/libsigc++-2.2.7:

ERROR: prerm
The ebuild phase 'prerm' has exited unexpectedly. This type of behavior
is known to be triggered by things such as failed variable assignments
(bug #190128) or bad substitution errors (bug #200313). Normally, before
exiting, bash should have displayed an error message above. If bash did
not produce an error message above, it's possible that the ebuild has
called `exit` when it should have called `die` instead. This behavior
may also be triggered by a corrupt bash binary or a hardware problem
such as memory or cpu malfunction. If the problem is not reproducible or
it appears to occur randomly, then it is likely to be triggered by a
hardware problem. If you suspect a hardware problem then you should try
some basic hardware diagnostics such as memtest. Please do not report
this as a bug unless it is consistently reproducible and you are sure
that your bash binary and hardware are functioning properly.
ERROR: dev-libs/libsigc++-2.2.7 failed (prerm phase):
  filter-bash-environment.py failed

Call stack:
  ebuild.sh, line 1950:  Called preprocess_ebuild_env
  ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
  ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-libs/libsigc++-2.2.7',
the complete build log and the output of 'emerge -pqv =dev-libs/libsigc++-2.2.7'.
The complete build log is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/environment'.
S: '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/work/libsigc++-2.2.7'

ERROR: postrm
The ebuild phase 'postrm' has exited unexpectedly. This type of behavior
is known to be triggered by things such as failed variable assignments
(bug #190128) or bad substitution errors (bug #200313). Normally, before
exiting, bash should have displayed an error message above. If bash did
not produce an error message above, it's possible that the ebuild has
called `exit` when it should have called `die` instead. This behavior
may also be triggered by a corrupt bash binary or a hardware problem
such as memory or cpu malfunction. If the problem is not reproducible or
it appears to occur randomly, then it is likely to be triggered by a
hardware problem. If you suspect a hardware problem then you should try
some basic hardware diagnostics such as memtest. Please do not report
this as a bug unless it is consistently reproducible and you are sure
that your bash binary and hardware are functioning properly.
The 'postrm' phase of the 'dev-libs/libsigc++-2.2.7' package has failed
with exit value 1.

The problem occurred while executing the ebuild file named
'libsigc++-2.2.7.ebuild' located in the '/var/db/pkg/dev-
libs/libsigc++-2.2.7' directory. If necessary, manually remove the
environment.bz2 file and/or the ebuild file located in that directory.

Removal of the environment.bz2 file is preferred since it may allow the
removal phases to execute successfully. The ebuild will be sourced and
the eclasses from the current portage tree will be used when necessary.
Removal of the ebuild file will cause the pkg_prerm() and pkg_postrm()
removal phases to be skipped entirely.
ERROR: dev-libs/libsigc++-2.2.7 failed (postrm phase):
  filter-bash-environment.py failed

Call stack:
  ebuild.sh, line 1950:  Called preprocess_ebuild_env
  ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
  ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-libs/libsigc++-2.2.7',
the complete build log and the output of 'emerge -pqv =dev-libs/libsigc++-2.2.7'.
The complete build log is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/environment'.
S: '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/work/libsigc++-2.2.7'

ERROR: other
ERROR: dev-libs/libsigc++-2.2.7 failed:
  filter-bash-environment.py failed

Call stack:
  misc-functions.sh, line   17:  Called source '/usr/lib/portage/bin/ebuild.sh'
          ebuild.sh, line 1950:  Called preprocess_ebuild_env
          ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
          ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-libs/libsigc++-2.2.7',
the complete build log and the output of 'emerge -pqv =dev-libs/libsigc++-2.2.7'.
This ebuild is from an overlay named 'gentoo': '/var/db/pkg/'
The complete build log is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/environment'.
S: '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/work/libsigc++-2.2.7'
ERROR: dev-libs/libsigc++-2.2.7 failed:
  filter-bash-environment.py failed

Call stack:
  misc-functions.sh, line   17:  Called source '/usr/lib/portage/bin/ebuild.sh'
          ebuild.sh, line 1950:  Called preprocess_ebuild_env
          ebuild.sh, line 1837:  Called filter_readonly_variables '--filter-features' '--filter-locale' '--filter-path' '--filter-sandbox'
          ebuild.sh, line 1818:  Called die
The specific snippet of code:
        "${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-libs/libsigc++-2.2.7',
the complete build log and the output of 'emerge -pqv =dev-libs/libsigc++-2.2.7'.
This ebuild is from an overlay named 'gentoo': '/var/db/pkg/'
The complete build log is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/build.log'.
The ebuild environment file is located at '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/temp/environment'.
S: '/var/tmp/binpkgs/dev-libs/libsigc++-2.2.7/work/libsigc++-2.2.7'
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 8:22 am    Post subject: Reply with quote

I just ran
Code:
revdep-rebuild
and this is what I got
Code:
revdep-rebuild
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 28% ]  *   broken /usr/bin/vim (requires libpython2.6.so.1.0)
[ 34% ]  *   broken /usr/lib/alsa-lib/smixer/smixer-python.la (requires -lpython2.6)
 *   broken /usr/lib/alsa-lib/smixer/smixer-python.so (requires libpython2.6.so.1.0)
[ 49% ]  *   broken /usr/lib/kde4/kpythonpluginfactory.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/kde4/krosspython.so (requires libpython2.6.so.1.0)
[ 65% ]  *   broken /usr/lib/libsuperkaramba.so.4.4.0 (requires libpython2.6.so.1.0)
[ 70% ]  *   broken /usr/lib/openoffice/basis3.2/program/libpyuno.so (requires libpython2.6.so.1.0)
[ 71% ]  *   broken /usr/lib/openoffice/basis3.2/program/pythonloader.uno.so (requires libpython2.6.so.1.0)
[ 75% ]  *   broken /usr/lib/python2.6/site-packages/Cython/Compiler/Parsing.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Compiler/Scanning.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Compiler/Visitor.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Plex/Scanners.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Runtime/refnanny.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/dnssd.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/kdecore.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/kdeui.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/khtml.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/kio.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/knewstuff.so (requires libpython2.6.so.1.0)                                                                                                                                 
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/kparts.so (requires libpython2.6.so.1.0)                                                                                                                                     
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/ktexteditor.so (requires libpython2.6.so.1.0)                                                                                                                               
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/kutils.so (requires libpython2.6.so.1.0)                                                                                                                                     
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/marble.so (requires libpython2.6.so.1.0)                                                                                                                                     
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/phonon.so (requires libpython2.6.so.1.0)                                                                                                                                     
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/plasma.so (requires libpython2.6.so.1.0)                                                                                                                                     
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/solid.so (requires libpython2.6.so.1.0)                                                                                                                                     
 *   broken /usr/lib/python2.6/site-packages/_cracklibmodule.so (requires libpython2.6.so.1.0)                                                                                                                                   
 *   broken /usr/lib/python2.6/site-packages/_lcms.so (requires libpython2.6.so.1.0)                                                                                                                                             
 *   broken /usr/lib/python2.6/site-packages/_xmlplus/parsers/pyexpat.so (requires libpython2.6.so.1.0)                                                                                                                         
 *   broken /usr/lib/python2.6/site-packages/_xmlplus/parsers/sgmlop.so (requires libpython2.6.so.1.0)                                                                                                                           
 *   broken /usr/lib/python2.6/site-packages/_xmlplus/utils/boolean.so (requires libpython2.6.so.1.0)                                                                                                                           
 *   broken /usr/lib/python2.6/site-packages/cairo/_cairo.so (requires libpython2.6.so.1.0)                                                                                                                                     
[ 76% ]  *   broken /usr/lib/python2.6/site-packages/libxsltmod.so (requires libpython2.6.so.1.0)                                                                                                                               
 *   broken /usr/lib/python2.6/site-packages/numpy/core/_sort.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/multiarray.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/multiarray_tests.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/scalarmath.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/umath.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/umath_tests.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/fft/fftpack_lite.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/lib/_compiled_base.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/linalg/lapack_lite.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/numarray/_capi.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/random/mtrand.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/obexftp/_obexftp.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/yasm.so (requires libpython2.6.so.1.0)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/bin/vim -> app-editors/vim
 *   /usr/lib/alsa-lib/smixer/smixer-python.la -> media-libs/alsa-lib
 *   /usr/lib/alsa-lib/smixer/smixer-python.so -> media-libs/alsa-lib
 *   /usr/lib/kde4/kpythonpluginfactory.so -> kde-base/pykde4
 *   /usr/lib/kde4/krosspython.so -> kde-base/krosspython
 *   /usr/lib/libsuperkaramba.so.4.4.0 -> kde-base/superkaramba
 *   /usr/lib/openoffice/basis3.2/program/libpyuno.so -> app-office/openoffice
 *   /usr/lib/openoffice/basis3.2/program/pythonloader.uno.so -> app-office/openoffice
 *   /usr/lib/python2.6/site-packages/Cython/Compiler/Parsing.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Compiler/Scanning.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Compiler/Visitor.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Plex/Scanners.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Runtime/refnanny.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/PyKDE4/dnssd.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/kdecore.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/kdeui.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/khtml.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/kio.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/knewstuff.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/kparts.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/ktexteditor.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/kutils.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/marble.so -> kde-base/marble
 *   /usr/lib/python2.6/site-packages/PyKDE4/phonon.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/plasma.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/PyKDE4/solid.so -> kde-base/pykde4
 *   /usr/lib/python2.6/site-packages/_cracklibmodule.so -> sys-libs/cracklib
 *   /usr/lib/python2.6/site-packages/_lcms.so -> media-libs/lcms
 *   /usr/lib/python2.6/site-packages/_xmlplus/parsers/pyexpat.so -> dev-python/pyxml
 *   /usr/lib/python2.6/site-packages/_xmlplus/parsers/sgmlop.so -> dev-python/pyxml
 *   /usr/lib/python2.6/site-packages/_xmlplus/utils/boolean.so -> dev-python/pyxml
 *   /usr/lib/python2.6/site-packages/cairo/_cairo.so -> dev-python/pycairo
 *   /usr/lib/python2.6/site-packages/libxsltmod.so -> dev-libs/libxslt
 *   /usr/lib/python2.6/site-packages/numpy/core/_sort.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/multiarray.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/multiarray_tests.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/scalarmath.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/umath.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/umath_tests.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/fft/fftpack_lite.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/lib/_compiled_base.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/linalg/lapack_lite.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/numarray/_capi.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/random/mtrand.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/obexftp/_obexftp.so -> app-mobilephone/obexftp
 *   /usr/lib/python2.6/site-packages/yasm.so -> dev-lang/yasm
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 *
 * Portage could not find any version of the following packages it could build:
 * app-editors/vim:0 app-mobilephone/obexftp:0 app-office/openoffice:0 dev-lang/yasm:0 dev-libs/libxslt:0 dev-python/cython:0 dev-python/numpy:0 dev-python/pycairo:0 dev-python/pyxml:0 kde-base/krosspython:4.4 kde-base/marble:4.4 kde-base/pykde4:4.4 kde-base/superkaramba:4.4 media-libs/alsa-lib:0 media-libs/lcms:0 sys-libs/cracklib:0
 *
 * (Perhaps they are masked, blocked, or removed from portage.)
 * Try to emerge them manually.
 *
 * Warning: Portage cannot rebuild any of the necessary packages.
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 10:02 am    Post subject: Reply with quote

avx wrote:
a) you're in a Gentoo-system (ie chrooted from a livecd or booted into one)?
no
avx wrote:
b) since when does this happen? has it ever worked correctly?
april 26 (yesterday) after updating world. yes have always worked.
avx wrote:
c) what do the following commands return?
Code:
emerge --version ; echo $?
can't do anything with emerge--
avx wrote:
Code:
which emerge
yes emerge is there /usr/bin/emerge
avx wrote:
Code:
file `which emerge`
??? lol error cannot open 'which emerge'
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 10:15 am    Post subject: Reply with quote

this is my emerge.log since yesterday
Code:
1303817615: Started emerge on: Apr 26, 2011 07:33:35
1303817615:  *** emerge  sync
1303817615:  === sync
1303817616: >>> Starting rsync with rsync://208.100.4.53/gentoo-portage
1303817727: === Sync completed with rsync://208.100.4.53/gentoo-portage
1303817731:  *** terminating.
1303817884: Started emerge on: Apr 26, 2011 07:38:04
1303817884:  *** emerge --newuse --deep --ask --update --verbose world
1303817953:  >>> emerge (1 of 9) virtual/libc-0 to /
1303817954:  === (1 of 9) Cleaning (virtual/libc-0::/usr/portage/virtual/libc/libc-0.ebuild)
1303817954:  === (1 of 9) Compiling/Merging (virtual/libc-0::/usr/portage/virtual/libc/libc-0.ebuild)
1303817956:  === (1 of 9) Merging (virtual/libc-0::/usr/portage/virtual/libc/libc-0.ebuild)
1303817959:  >>> AUTOCLEAN: virtual/libc:0
1303817960:  === (1 of 9) Post-Build Cleaning (virtual/libc-0::/usr/portage/virtual/libc/libc-0.ebuild)
1303817960:  ::: completed emerge (1 of 9) virtual/libc-0 to /
1303817960:  >>> emerge (2 of 9) virtual/libusb-1 to /
1303817960:  === (2 of 9) Cleaning (virtual/libusb-1::/usr/portage/virtual/libusb/libusb-1.ebuild)
1303817960:  === (2 of 9) Compiling/Merging (virtual/libusb-1::/usr/portage/virtual/libusb/libusb-1.ebuild)
1303817963:  === (2 of 9) Merging (virtual/libusb-1::/usr/portage/virtual/libusb/libusb-1.ebuild)
1303817965:  >>> AUTOCLEAN: virtual/libusb:1
1303817966:  === (2 of 9) Post-Build Cleaning (virtual/libusb-1::/usr/portage/virtual/libusb/libusb-1.ebuild)
1303817966:  ::: completed emerge (2 of 9) virtual/libusb-1 to /
1303817966:  >>> emerge (3 of 9) sys-devel/binutils-config-2-r1 to /
1303817966:  === (3 of 9) Cleaning (sys-devel/binutils-config-2-r1::/usr/portage/sys-devel/binutils-config/binutils-config-2-r1.ebuild)
1303817967:  === (3 of 9) Compiling/Merging (sys-devel/binutils-config-2-r1::/usr/portage/sys-devel/binutils-config/binutils-config-2-r1.ebuild)
1303817969:  === (3 of 9) Merging (sys-devel/binutils-config-2-r1::/usr/portage/sys-devel/binutils-config/binutils-config-2-r1.ebuild)
1303817970:  >>> AUTOCLEAN: sys-devel/binutils-config:0
1303817970:  === Unmerging... (sys-devel/binutils-config-1.9-r4)
1303817971:  >>> unmerge success: sys-devel/binutils-config-1.9-r4
1303817972:  === (3 of 9) Post-Build Cleaning (sys-devel/binutils-config-2-r1::/usr/portage/sys-devel/binutils-config/binutils-config-2-r1.ebuild)
1303817972:  ::: completed emerge (3 of 9) sys-devel/binutils-config-2-r1 to /
1303817972:  >>> emerge (4 of 9) sys-apps/debianutils-3.4.4 to /
1303817972:  === (4 of 9) Cleaning (sys-apps/debianutils-3.4.4::/usr/portage/sys-apps/debianutils/debianutils-3.4.4.ebuild)
1303817972:  === (4 of 9) Compiling/Merging (sys-apps/debianutils-3.4.4::/usr/portage/sys-apps/debianutils/debianutils-3.4.4.ebuild)
1303817982:  === (4 of 9) Merging (sys-apps/debianutils-3.4.4::/usr/portage/sys-apps/debianutils/debianutils-3.4.4.ebuild)
1303817983:  >>> AUTOCLEAN: sys-apps/debianutils:0
1303817983:  === Unmerging... (sys-apps/debianutils-3.2.3)
1303817984:  >>> unmerge success: sys-apps/debianutils-3.2.3
1303817986:  === (4 of 9) Post-Build Cleaning (sys-apps/debianutils-3.4.4::/usr/portage/sys-apps/debianutils/debianutils-3.4.4.ebuild)
1303817986:  ::: completed emerge (4 of 9) sys-apps/debianutils-3.4.4 to /
1303817986:  >>> emerge (5 of 9) virtual/mysql-5.1 to /
1303817986:  === (5 of 9) Cleaning (virtual/mysql-5.1::/usr/portage/virtual/mysql/mysql-5.1.ebuild)
1303817986:  === (5 of 9) Compiling/Merging (virtual/mysql-5.1::/usr/portage/virtual/mysql/mysql-5.1.ebuild)
1303817988:  === (5 of 9) Merging (virtual/mysql-5.1::/usr/portage/virtual/mysql/mysql-5.1.ebuild)
1303817990:  >>> AUTOCLEAN: virtual/mysql:0
1303817990:  === Unmerging... (virtual/mysql-5.1)
1303817990:  >>> unmerge success: virtual/mysql-5.1
1303817991:  === (5 of 9) Post-Build Cleaning (virtual/mysql-5.1::/usr/portage/virtual/mysql/mysql-5.1.ebuild)
1303817991:  ::: completed emerge (5 of 9) virtual/mysql-5.1 to /
1303817991:  >>> emerge (6 of 9) dev-libs/popt-1.16-r1 to /
1303817991:  === (6 of 9) Cleaning (dev-libs/popt-1.16-r1::/usr/portage/dev-libs/popt/popt-1.16-r1.ebuild)
1303817992:  === (6 of 9) Compiling/Merging (dev-libs/popt-1.16-r1::/usr/portage/dev-libs/popt/popt-1.16-r1.ebuild)
1303818004:  === (6 of 9) Merging (dev-libs/popt-1.16-r1::/usr/portage/dev-libs/popt/popt-1.16-r1.ebuild)
1303818006:  >>> AUTOCLEAN: dev-libs/popt:0
1303818006:  === Unmerging... (dev-libs/popt-1.16)
1303818009:  >>> unmerge success: dev-libs/popt-1.16
1303818010:  === (6 of 9) Post-Build Cleaning (dev-libs/popt-1.16-r1::/usr/portage/dev-libs/popt/popt-1.16-r1.ebuild)
1303818010:  ::: completed emerge (6 of 9) dev-libs/popt-1.16-r1 to /
1303818010:  >>> emerge (7 of 9) sys-apps/usbutils-001 to /
1303818010:  === (7 of 9) Cleaning (sys-apps/usbutils-001::/usr/portage/sys-apps/usbutils/usbutils-001.ebuild)
1303818010:  === (7 of 9) Compiling/Merging (sys-apps/usbutils-001::/usr/portage/sys-apps/usbutils/usbutils-001.ebuild)
1303818023:  === (7 of 9) Merging (sys-apps/usbutils-001::/usr/portage/sys-apps/usbutils/usbutils-001.ebuild)
1303818025:  >>> AUTOCLEAN: sys-apps/usbutils:0
1303818025:  === Unmerging... (sys-apps/usbutils-0.90)
1303818026:  >>> unmerge success: sys-apps/usbutils-0.90
1303818027:  === (7 of 9) Post-Build Cleaning (sys-apps/usbutils-001::/usr/portage/sys-apps/usbutils/usbutils-001.ebuild)
1303818027:  ::: completed emerge (7 of 9) sys-apps/usbutils-001 to /
1303818028:  >>> emerge (8 of 9) app-mobilephone/obexftp-0.23-r1 to /
1303818028:  === (8 of 9) Cleaning (app-mobilephone/obexftp-0.23-r1::/usr/portage/app-mobilephone/obexftp/obexftp-0.23-r1.ebuild)
1303818028:  === (8 of 9) Compiling/Merging (app-mobilephone/obexftp-0.23-r1::/usr/portage/app-mobilephone/obexftp/obexftp-0.23-r1.ebuild)
1303818057:  === (8 of 9) Merging (app-mobilephone/obexftp-0.23-r1::/usr/portage/app-mobilephone/obexftp/obexftp-0.23-r1.ebuild)
1303818059:  >>> AUTOCLEAN: app-mobilephone/obexftp:0
1303818059:  === Unmerging... (app-mobilephone/obexftp-0.23-r1)
1303818061:  >>> unmerge success: app-mobilephone/obexftp-0.23-r1
1303818063:  === (8 of 9) Post-Build Cleaning (app-mobilephone/obexftp-0.23-r1::/usr/portage/app-mobilephone/obexftp/obexftp-0.23-r1.ebuild)
1303818063:  ::: completed emerge (8 of 9) app-mobilephone/obexftp-0.23-r1 to /
1303818063:  >>> emerge (9 of 9) x11-libs/libnotify-0.7.2 to /
1303818063:  === (9 of 9) Cleaning (x11-libs/libnotify-0.7.2::/usr/portage/x11-libs/libnotify/libnotify-0.7.2.ebuild)
1303818063:  === (9 of 9) Compiling/Merging (x11-libs/libnotify-0.7.2::/usr/portage/x11-libs/libnotify/libnotify-0.7.2.ebuild)
1303818091:  === (9 of 9) Merging (x11-libs/libnotify-0.7.2::/usr/portage/x11-libs/libnotify/libnotify-0.7.2.ebuild)
1303818093:  >>> AUTOCLEAN: x11-libs/libnotify:0
1303818093:  === Unmerging... (x11-libs/libnotify-0.4.5)
1303818095:  >>> unmerge success: x11-libs/libnotify-0.4.5
1303818097:  === (9 of 9) Post-Build Cleaning (x11-libs/libnotify-0.7.2::/usr/portage/x11-libs/libnotify/libnotify-0.7.2.ebuild)
1303818097:  ::: completed emerge (9 of 9) x11-libs/libnotify-0.7.2 to /
1303818097:  *** Finished. Cleaning up...
1303818097:  *** exiting successfully.
1303818098:  *** terminating.

this is after running
Code:
#revdep-rebuild --library '/usr/lib/libnotify.so.1'
#rm '/usr/lib/libnotify.so.1'
#revdep-rebuild
Code:

1303818450: Started emerge on: Apr 26, 2011 07:47:30
1303818450:  *** emerge --oneshot media-video/vlc:0 x11-plugins/compiz-plugins-extra:0
1303818455:  >>> emerge (1 of 2) media-video/vlc-1.1.9 to /
1303818455:  === (1 of 2) Cleaning (media-video/vlc-1.1.9::/usr/portage/media-video/vlc/vlc-1.1.9.ebuild)
1303818462:  === (1 of 2) Compiling/Merging (media-video/vlc-1.1.9::/usr/portage/media-video/vlc/vlc-1.1.9.ebuild)
1303818854:  === (1 of 2) Merging (media-video/vlc-1.1.9::/usr/portage/media-video/vlc/vlc-1.1.9.ebuild)
1303818858:  >>> AUTOCLEAN: media-video/vlc:0
1303818858:  === Unmerging... (media-video/vlc-1.1.9)
1303818870:  >>> unmerge success: media-video/vlc-1.1.9
1303818873:  === (1 of 2) Post-Build Cleaning (media-video/vlc-1.1.9::/usr/portage/media-video/vlc/vlc-1.1.9.ebuild)
1303818873:  ::: completed emerge (1 of 2) media-video/vlc-1.1.9 to /
1303818873:  >>> emerge (2 of 2) x11-plugins/compiz-plugins-extra-0.8.6-r1 to /
1303818873:  === (2 of 2) Cleaning (x11-plugins/compiz-plugins-extra-0.8.6-r1::/usr/portage/x11-plugins/compiz-plugins-extra/compiz-plugins-extra-0.8.6-r1.ebuild)
1303818874:  === (2 of 2) Compiling/Merging (x11-plugins/compiz-plugins-extra-0.8.6-r1::/usr/portage/x11-plugins/compiz-plugins-extra/compiz-plugins-extra-0.8.6-r1.ebuild)
1303818943:  === (2 of 2) Merging (x11-plugins/compiz-plugins-extra-0.8.6-r1::/usr/portage/x11-plugins/compiz-plugins-extra/compiz-plugins-extra-0.8.6-r1.ebuild)
1303818945:  >>> AUTOCLEAN: x11-plugins/compiz-plugins-extra:0
1303818945:  === Unmerging... (x11-plugins/compiz-plugins-extra-0.8.6-r1)
1303818946:  >>> unmerge success: x11-plugins/compiz-plugins-extra-0.8.6-r1
1303818947:  === (2 of 2) Post-Build Cleaning (x11-plugins/compiz-plugins-extra-0.8.6-r1::/usr/portage/x11-plugins/compiz-plugins-extra/compiz-plugins-extra-0.8.6-r1.ebuild)
1303818947:  ::: completed emerge (2 of 2) x11-plugins/compiz-plugins-extra-0.8.6-r1 to /
1303818947:  *** Finished. Cleaning up...
1303818948:  *** exiting successfully.
1303818948:  *** terminating.

this is after
Code:
emerge --depclean

Code:
1303821081: Started emerge on: Apr 26, 2011 08:31:21
1303821081:  *** emerge  depclean
1303821081:  >>> depclean
1303821095: === Unmerging... (dev-cpp/libsexymm-0.1.9)
1303821097:  >>> unmerge success: dev-cpp/libsexymm-0.1.9
1303821097: === Unmerging... (dev-libs/liboil-0.3.17)
1303821098:  >>> unmerge success: dev-libs/liboil-0.3.17
1303821098: === Unmerging... (sys-kernel/gentoo-sources-2.6.36-r5)
1303821125:  >>> unmerge success: sys-kernel/gentoo-sources-2.6.36-r5
1303821125: === Unmerging... (dev-util/chromium-tools-0.1.6)
1303821126:  >>> unmerge success: dev-util/chromium-tools-0.1.6
1303821126: === Unmerging... (dev-cpp/libgnomecanvasmm-2.26.0)
1303821127:  >>> unmerge success: dev-cpp/libgnomecanvasmm-2.26.0
1303821127: === Unmerging... (x11-libs/libview-0.6.2)
1303821129:  >>> unmerge success: x11-libs/libview-0.6.2
1303821129: === Unmerging... (dev-lang/v8-3.0.12.30)
1303821130:  >>> unmerge success: dev-lang/v8-3.0.12.30
1303821130: === Unmerging... (dev-python/lxml-2.2.8)
1303821131:  >>> unmerge success: dev-python/lxml-2.2.8
1303821131: === Unmerging... (x11-libs/libXfontcache-1.0.5)
1303821133:  >>> unmerge success: x11-libs/libXfontcache-1.0.5
1303821133: === Unmerging... (gnome-base/libgnomecanvas-2.30.3)
1303821135:  >>> unmerge success: gnome-base/libgnomecanvas-2.30.3
1303821135: === Unmerging... (x11-proto/fontcacheproto-0.1.3)
1303821136:  >>> unmerge success: x11-proto/fontcacheproto-0.1.3
1303821136: === Unmerging... (dev-util/scons-2.0.1)
1303821138:  >>> unmerge success: dev-util/scons-2.0.1
1303821138: === Unmerging... (dev-python/beautifulsoup-3.2.0)
1303821139:  >>> unmerge success: dev-python/beautifulsoup-3.2.0
1303821139: === Unmerging... (dev-cpp/gtkmm-2.22.0)
1303821141:  >>> unmerge success: dev-cpp/gtkmm-2.22.0
1303821141: === Unmerging... (dev-cpp/pangomm-2.26.3)
1303821142:  >>> unmerge success: dev-cpp/pangomm-2.26.3
1303821142: === Unmerging... (dev-cpp/atkmm-2.22.2)
1303821144:  >>> unmerge success: dev-cpp/atkmm-2.22.2
1303821144: === Unmerging... (dev-lang/python-2.6.6-r2)
1303821146:  >>> unmerge success: dev-lang/python-2.6.6-r2
1303821146: === Unmerging... (dev-cpp/cairomm-1.8.6)
1303821148:  >>> unmerge success: dev-cpp/cairomm-1.8.6
1303821148: === Unmerging... (dev-cpp/glibmm-2.24.2-r1)
1303821150:  >>> unmerge success: dev-cpp/glibmm-2.24.2-r1
1303821150: === Unmerging... (dev-libs/libsigc++-2.2.7)
1303821151:  >>> unmerge success: dev-libs/libsigc++-2.2.7
1303821151:  *** exiting unsuccessfully with status 'None'.
1303821151:  *** terminating.
Back to top
View user's profile Send private message
chiefbag
Guru
Guru


Joined: 01 Oct 2010
Posts: 440
Location: The Kingdom of Kerry

PostPosted: Wed Apr 27, 2011 10:36 am    Post subject: Reply with quote

Did you run the python updater yet?

Code:
python-updater

_________________
A place for useful technical information
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 10:54 am    Post subject: Reply with quote

Code:
#python-updater
* Python 2 and Python 3 not installed

help! lol
Back to top
View user's profile Send private message
chiefbag
Guru
Guru


Joined: 01 Oct 2010
Posts: 440
Location: The Kingdom of Kerry

PostPosted: Wed Apr 27, 2011 11:03 am    Post subject: Reply with quote

Id suggest taking a look at this thread, can't recommend if this is the correct approach or not though :?

http://forums.gentoo.org/viewtopic.php?t=5746
_________________
A place for useful technical information
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 11:07 am    Post subject: Reply with quote

After a lot of search I just ran:
Code:
eselect python update

it selected python 3.1
and ran
Code:
emerge --sync

It seems to be working so far...
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 11:18 am    Post subject: Reply with quote

chiefbag wrote:
Id suggest taking a look at this thread, can't recommend if this is the correct approach or not though :?

http://forums.gentoo.org/viewtopic.php?t=5746


lol about the same time --

I used this though http://forums.gentoo.org/viewtopic-t-786104-highlight-python.html

Code:
eselect python update

did the trick. so far...
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 11:26 am    Post subject: Reply with quote

Still getting this
Code:
# revdep-rebuild
 * Configuring search environment for revdep-rebuild
  File "<string>", line 1
    import os; import pwd; print pwd.getpwuid(os.getuid())[0]
                                   ^
SyntaxError: invalid syntax

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 28% ]  *   broken /usr/bin/vim (requires libpython2.6.so.1.0)
[ 34% ]  *   broken /usr/lib/alsa-lib/smixer/smixer-python.la (requires -lpython2.6)
 *   broken /usr/lib/alsa-lib/smixer/smixer-python.so (requires libpython2.6.so.1.0)
[ 49% ]  *   broken /usr/lib/kde4/krosspython.so (requires libpython2.6.so.1.0)
[ 65% ]  *   broken /usr/lib/libsuperkaramba.so.4.4.0 (requires libpython2.6.so.1.0)
[ 70% ]  *   broken /usr/lib/openoffice/basis3.2/program/libpyuno.so (requires libpython2.6.so.1.0)
[ 71% ]  *   broken /usr/lib/openoffice/basis3.2/program/pythonloader.uno.so (requires libpython2.6.so.1.0)
[ 75% ]  *   broken /usr/lib/python2.6/site-packages/Cython/Compiler/Parsing.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Compiler/Scanning.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Compiler/Visitor.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Plex/Scanners.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/Cython/Runtime/refnanny.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/PyKDE4/marble.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/_cracklibmodule.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/_lcms.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/_xmlplus/parsers/pyexpat.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/_xmlplus/parsers/sgmlop.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/_xmlplus/utils/boolean.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/cairo/_cairo.so (requires libpython2.6.so.1.0)
[ 76% ]  *   broken /usr/lib/python2.6/site-packages/libxsltmod.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/_sort.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/multiarray.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/multiarray_tests.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/scalarmath.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/umath.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/core/umath_tests.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/fft/fftpack_lite.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/lib/_compiled_base.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/linalg/lapack_lite.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/numarray/_capi.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/numpy/random/mtrand.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/obexftp/_obexftp.so (requires libpython2.6.so.1.0)
 *   broken /usr/lib/python2.6/site-packages/yasm.so (requires libpython2.6.so.1.0)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/bin/vim -> app-editors/vim
 *   /usr/lib/alsa-lib/smixer/smixer-python.la -> media-libs/alsa-lib
 *   /usr/lib/alsa-lib/smixer/smixer-python.so -> media-libs/alsa-lib
 *   /usr/lib/kde4/krosspython.so -> kde-base/krosspython
 *   /usr/lib/libsuperkaramba.so.4.4.0 -> kde-base/superkaramba
 *   /usr/lib/openoffice/basis3.2/program/libpyuno.so -> app-office/openoffice
 *   /usr/lib/openoffice/basis3.2/program/pythonloader.uno.so -> app-office/openoffice
 *   /usr/lib/python2.6/site-packages/Cython/Compiler/Parsing.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Compiler/Scanning.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Compiler/Visitor.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Plex/Scanners.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/Cython/Runtime/refnanny.so -> dev-python/cython
 *   /usr/lib/python2.6/site-packages/PyKDE4/marble.so -> kde-base/marble
 *   /usr/lib/python2.6/site-packages/_cracklibmodule.so -> sys-libs/cracklib
 *   /usr/lib/python2.6/site-packages/_lcms.so -> media-libs/lcms
 *   /usr/lib/python2.6/site-packages/_xmlplus/parsers/pyexpat.so -> dev-python/pyxml
 *   /usr/lib/python2.6/site-packages/_xmlplus/parsers/sgmlop.so -> dev-python/pyxml
 *   /usr/lib/python2.6/site-packages/_xmlplus/utils/boolean.so -> dev-python/pyxml
 *   /usr/lib/python2.6/site-packages/cairo/_cairo.so -> dev-python/pycairo
 *   /usr/lib/python2.6/site-packages/libxsltmod.so -> dev-libs/libxslt
 *   /usr/lib/python2.6/site-packages/numpy/core/_sort.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/multiarray.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/multiarray_tests.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/scalarmath.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/umath.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/core/umath_tests.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/fft/fftpack_lite.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/lib/_compiled_base.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/linalg/lapack_lite.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/numarray/_capi.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/numpy/random/mtrand.so -> dev-python/numpy
 *   /usr/lib/python2.6/site-packages/obexftp/_obexftp.so -> app-mobilephone/obexftp
 *   /usr/lib/python2.6/site-packages/yasm.so -> dev-lang/yasm
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --oneshot   app-editors/vim:0
app-mobilephone/obexftp:0
app-office/openoffice:0
dev-lang/yasm:0
dev-libs/libxslt:0
dev-python/cython:0
dev-python/numpy:0
dev-python/pycairo:0
dev-python/pyxml:0
kde-base/krosspython:4.4
kde-base/marble:4.4
kde-base/superkaramba:4.4
media-libs/alsa-lib:0
media-libs/lcms:0
sys-libs/cracklib:0
..........
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 15) dev-libs/libxslt-1.1.26-r1
 * libxslt-1.1.26.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                                                  [ ok ]
 * Package:    dev-libs/libxslt-1.1.26-r1
 * Repository: gentoo
 * Maintainer: gnome@gentoo.org
 * USE:        consolekit crypt elibc_glibc kernel_linux policykit python userland_GNU x86
 * FEATURES:   sandbox
/usr/portage/eclass/python.eclass: line 686: /usr/bin/python2: No such file or directory
 * ERROR: dev-libs/libxslt-1.1.26-r1 failed (setup phase):
 *   _python_check_python_abi_matching(): Unrecognized Python ABI ''
 *
 * Call stack:
 *                  ebuild.sh, line  56:  Called pkg_setup
 *   libxslt-1.1.26-r1.ebuild, line  27:  Called python_pkg_setup
 *              python.eclass, line 377:  Called _python_calculate_PYTHON_ABIS
 *              python.eclass, line 699:  Called _python_check_python_abi_matching '' '3.*'
 *              python.eclass, line  42:  Called die
 * The specific snippet of code:
 *                      die "${FUNCNAME}(): Unrecognized Python ABI '$1'"
 *
 * If you need support, post the output of 'emerge --info =dev-libs/libxslt-1.1.26-r1',
 * the complete build log and the output of 'emerge -pqv =dev-libs/libxslt-1.1.26-r1'.
 * The complete build log is located at '/var/tmp/portage/dev-libs/libxslt-1.1.26-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/libxslt-1.1.26-r1/temp/die.env'.
 * S: '/var/tmp/portage/dev-libs/libxslt-1.1.26-r1/work/libxslt-1.1.26'

>>> Failed to emerge dev-libs/libxslt-1.1.26-r1, Log file:

>>>  '/var/tmp/portage/dev-libs/libxslt-1.1.26-r1/temp/build.log'

 * Messages for package dev-libs/libxslt-1.1.26-r1:

 * ERROR: dev-libs/libxslt-1.1.26-r1 failed (setup phase):
 *   _python_check_python_abi_matching(): Unrecognized Python ABI ''
 *
 * Call stack:
 *                  ebuild.sh, line  56:  Called pkg_setup
 *   libxslt-1.1.26-r1.ebuild, line  27:  Called python_pkg_setup
 *              python.eclass, line 377:  Called _python_calculate_PYTHON_ABIS
 *              python.eclass, line 699:  Called _python_check_python_abi_matching '' '3.*'
 *              python.eclass, line  42:  Called die
 * The specific snippet of code:
 *                      die "${FUNCNAME}(): Unrecognized Python ABI '$1'"
 *
 * If you need support, post the output of 'emerge --info =dev-libs/libxslt-1.1.26-r1',
 * the complete build log and the output of 'emerge -pqv =dev-libs/libxslt-1.1.26-r1'.
 * The complete build log is located at '/var/tmp/portage/dev-libs/libxslt-1.1.26-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/libxslt-1.1.26-r1/temp/die.env'.
 * S: '/var/tmp/portage/dev-libs/libxslt-1.1.26-r1/work/libxslt-1.1.26'
 *
 * revdep-rebuild failed to emerge all packages.
 * you have the following choices:
 * - If emerge failed during the build, fix the problems and re-run revdep-rebuild.
 * - Use /etc/portage/package.keywords to unmask a newer version of the package.
 *   (and remove 5_order.rr to be evaluated again)
 * - Modify the above emerge command and run it manually.
 * - Compile or unmerge unsatisfied packages manually,
 *   remove temporary files, and try again.
 *   (you can edit package/ebuild list first)
 *
 * To remove temporary files, please run:
 * rm /tmp/revdep-rebuild.bMIuePg5rm/*.rr

should I elselect python2 ?
Back to top
View user's profile Send private message
chiefbag
Guru
Guru


Joined: 01 Oct 2010
Posts: 440
Location: The Kingdom of Kerry

PostPosted: Wed Apr 27, 2011 11:31 am    Post subject: Reply with quote

Try and run python-updater now
_________________
A place for useful technical information
Back to top
View user's profile Send private message
chiefbag
Guru
Guru


Joined: 01 Oct 2010
Posts: 440
Location: The Kingdom of Kerry

PostPosted: Wed Apr 27, 2011 11:41 am    Post subject: Reply with quote

If python-updater does not work, see below thread Its failing because of the Python version.

Code:

 * Call stack:
 *                  ebuild.sh, line  56:  Called pkg_setup
 *   libxslt-1.1.26-r1.ebuild, line  27:  Called python_pkg_setup
 *              python.eclass, line 377:  Called _python_calculate_PYTHON_ABIS
 *              python.eclass, line 699:  Called _python_check_python_abi_matching '' '3.*'
 *              python.eclass, line  42:  Called die
 * The specific snippet of code:


http://forums.gentoo.org/viewtopic-t-862581-start-0.html
_________________
A place for useful technical information
Back to top
View user's profile Send private message
CurtE
Guru
Guru


Joined: 17 Apr 2004
Posts: 364
Location: Minneapolis, MN

PostPosted: Wed Apr 27, 2011 2:35 pm    Post subject: Reply with quote

I'm having the same type of issue. This is what happened when I typed in emerge --depclean
Code:

1303864394: Started emerge on: Apr 26, 2011 19:33:14
1303864394:  *** emerge  depclean
1303864395:  >>> depclean
1303864411: === Unmerging... (perl-core/Package-Constants-0.02)
1303864413:  >>> unmerge success: perl-core/Package-Constants-0.02
1303864413: === Unmerging... (perl-core/IO-Zlib-1.10)
1303864415:  >>> unmerge success: perl-core/IO-Zlib-1.10
1303864415: === Unmerging... (perl-core/Archive-Tar-1.54)
1303864416:  >>> unmerge success: perl-core/Archive-Tar-1.54
1303864416: === Unmerging... (dev-python/pygtk-2.16.0-r1)
1303864421:  >>> unmerge success: dev-python/pygtk-2.16.0-r1
1303864421: === Unmerging... (sys-kernel/gentoo-sources-2.6.34-r6)
1303864505:  >>> unmerge success: sys-kernel/gentoo-sources-2.6.34-r6
1303864505: === Unmerging... (x11-libs/libXxf86misc-1.0.3)
1303864507:  >>> unmerge success: x11-libs/libXxf86misc-1.0.3
1303864507: === Unmerging... (dev-perl/yaml-0.71)
1303864508:  >>> unmerge success: dev-perl/yaml-0.71
1303864508: === Unmerging... (net-nds/openldap-2.4.23)
1303864511:  >>> unmerge success: net-nds/openldap-2.4.23
1303864511: === Unmerging... (sys-kernel/gentoo-sources-2.6.32-r7)
1303864592:  >>> unmerge success: sys-kernel/gentoo-sources-2.6.32-r7
1303864592: === Unmerging... (sys-apps/ed-1.0)
1303864594:  >>> unmerge success: sys-apps/ed-1.0
1303864594: === Unmerging... (perl-core/Compress-Raw-Bzip2-2.024)
1303864596:  >>> unmerge success: perl-core/Compress-Raw-Bzip2-2.024
1303864596: === Unmerging... (sys-devel/gcc-4.3.4)
1303864606:  >>> unmerge success: sys-devel/gcc-4.3.4
1303864606: === Unmerging... (app-crypt/mhash-0.9.9-r1)
1303864608:  >>> unmerge success: app-crypt/mhash-0.9.9-r1
1303864608: === Unmerging... (perl-core/IO-Compress-2.024)
1303864610:  >>> unmerge success: perl-core/IO-Compress-2.024
1303864610: === Unmerging... (perl-core/Test-Harness-3.17)
1303864612:  >>> unmerge success: perl-core/Test-Harness-3.17
1303864612: === Unmerging... (sys-devel/bc-1.06.95)
1303864614:  >>> unmerge success: sys-devel/bc-1.06.95
1303864614: === Unmerging... (x11-libs/gdk-pixbuf-2.22.1)
1303864617:  >>> unmerge success: x11-libs/gdk-pixbuf-2.22.1
1303864617: === Unmerging... (virtual/httpd-php-5.3)
1303864618:  >>> unmerge success: virtual/httpd-php-5.3
1303864618: === Unmerging... (perl-core/Compress-Raw-Zlib-2.024)
1303864620:  >>> unmerge success: perl-core/Compress-Raw-Zlib-2.024
1303864620: === Unmerging... (sys-kernel/gentoo-sources-2.6.36-r5)
1303864713:  >>> unmerge success: sys-kernel/gentoo-sources-2.6.36-r5
1303864713: === Unmerging... (x11-libs/libXfontcache-1.0.5)
1303864714:  >>> unmerge success: x11-libs/libXfontcache-1.0.5
1303864714: === Unmerging... (dev-libs/nspr-4.8.6)
1303864716:  >>> unmerge success: dev-libs/nspr-4.8.6
1303864716: === Unmerging... (perl-core/Sys-Syslog-0.27)
1303864718:  >>> unmerge success: perl-core/Sys-Syslog-0.27
1303864718: === Unmerging... (virtual/perl-Package-Constants-0.02)
1303864719:  >>> unmerge success: virtual/perl-Package-Constants-0.02
1303864719: === Unmerging... (virtual/perl-IO-Zlib-1.10)
1303864720:  >>> unmerge success: virtual/perl-IO-Zlib-1.10
1303864720: === Unmerging... (gnome-base/libglade-2.6.4)
1303864723:  >>> unmerge success: gnome-base/libglade-2.6.4
1303864723: === Unmerging... (dev-python/pygobject-2.20.0)
1303864727:  >>> unmerge success: dev-python/pygobject-2.20.0
1303864727: === Unmerging... (dev-python/pycairo-1.8.10)
1303864729:  >>> unmerge success: dev-python/pycairo-1.8.10
1303864729: === Unmerging... (dev-python/numpy-1.5.1)
1303864736:  >>> unmerge success: dev-python/numpy-1.5.1
1303864736: === Unmerging... (x11-proto/xf86miscproto-0.9.3)
1303864738:  >>> unmerge success: x11-proto/xf86miscproto-0.9.3
1303864738: === Unmerging... (virtual/perl-Compress-Raw-Bzip2-2.024)
1303864739:  >>> unmerge success: virtual/perl-Compress-Raw-Bzip2-2.024
1303864739: === Unmerging... (virtual/perl-Compress-Raw-Zlib-2.024)
1303864740:  >>> unmerge success: virtual/perl-Compress-Raw-Zlib-2.024
1303864740: === Unmerging... (x11-proto/fontcacheproto-0.1.3)
1303864742:  >>> unmerge success: x11-proto/fontcacheproto-0.1.3
1303864742: === Unmerging... (virtual/perl-IO-Compress-2.024)
1303864743:  >>> unmerge success: virtual/perl-IO-Compress-2.024
1303864743: === Unmerging... (dev-lang/python-2.6.6-r1)
1303864747:  >>> unmerge success: dev-lang/python-2.6.6-r1
1303864747: === Unmerging... (x11-misc/util-macros-1.11.0)
1303864747:  >>> unmerge success: x11-misc/util-macros-1.11.0
1303864747: === Unmerging... (sys-libs/db-4.7.25_p4)
1303864749:  >>> unmerge success: sys-libs/db-4.7.25_p4
1303864750:  *** exiting unsuccessfully with status 'None'.
1303864756:  *** terminating.


I managed to get "eselect python update" to find phython 3.1 so now "emerge" does something but it usually fails. Hopefully we come up with some good answers.

This part really bothered me:
1303864421: === Unmerging... (sys-kernel/gentoo-sources-2.6.34-r6)
1303864505: >>> unmerge success: sys-kernel/gentoo-sources-2.6.34-r6
1303864511: === Unmerging... (sys-kernel/gentoo-sources-2.6.32-r7)
1303864592: >>> unmerge success: sys-kernel/gentoo-sources-2.6.32-r7
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4614
Location: Saint Amant, Acadiana

PostPosted: Wed Apr 27, 2011 2:55 pm    Post subject: Reply with quote

Jaglover wrote:
Probably system Python got upgraded but is not set.

May I add you should set a version of python-2 as system Python, Gentoo is not ready for python-3?

I see you ignored my previous post, what can I do to be more noticeable?
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
piedar
Tux's lil' helper
Tux's lil' helper


Joined: 09 Aug 2010
Posts: 80

PostPosted: Wed Apr 27, 2011 3:20 pm    Post subject: Reply with quote

Jaglover wrote:
Jaglover wrote:
Probably system Python got upgraded but is not set.

May I add you should set a version of python-2 as system Python, Gentoo is not ready for python-3?

I see you ignored my previous post, what can I do to be more noticeable?

This ^

OP, do
Code:
eselect python list

then
Code:
eselect python set x

where x is the number of python 2.7.

Then carry on with python-updater and revdep-rebuild.
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 3:22 pm    Post subject: Reply with quote

Hey CurtE this is what I've done so far:
I read the sticky sticky: Python 2.7 upgrade?
I ran:
Code:
#eselect python update --python2

This selected python 2.7 as active.
then:
Code:
#revdep-rebuild

but I still got some errors. So I did what chiefbag wrote and ran:
Code:
#eselect python update

This then selects the most updated which is python 3.1 as active and then I ran:
Code:
python-updater

and it's still compiling so I assume it's working. hope this works for you.

-- Thanks Jaglover that last post was someone else with same problem. I did follow your advise but I think python-updater is resolving issues here. I'll post back when it's finished.--


Last edited by hamilito on Wed Apr 27, 2011 3:27 pm; edited 2 times in total
Back to top
View user's profile Send private message
CurtE
Guru
Guru


Joined: 17 Apr 2004
Posts: 364
Location: Minneapolis, MN

PostPosted: Wed Apr 27, 2011 3:24 pm    Post subject: Reply with quote

First, to clarify, I did not ignore the original post, I am not the creator of the post. I have the same type of problem as the original poster.

Unfortunately, I can't get any other version of Python emerged into my system. It can't find any other version to emerge through normal methods. Maybe there is an alternate way.
Back to top
View user's profile Send private message
hamilito
n00b
n00b


Joined: 18 Aug 2010
Posts: 33

PostPosted: Wed Apr 27, 2011 3:31 pm    Post subject: Reply with quote

CurtE You can find out what version you have and if it is active by typing
Code:
#eselect python list

Should return something like this:
Code:
Available Python interpreters:
  [1]   python2.7
  [2]   python3.1 *

Then if you type
Code:
eselect python update
it should automatically select you the most updated version installed.
Then run
Code:
python-updater


Last edited by hamilito on Wed Apr 27, 2011 3:33 pm; edited 1 time in total
Back to top
View user's profile Send private message
CurtE
Guru
Guru


Joined: 17 Apr 2004
Posts: 364
Location: Minneapolis, MN

PostPosted: Wed Apr 27, 2011 3:33 pm    Post subject: Reply with quote

eselect python update --python2 =====> Success, python 2.7

revdep-rebuild ==========> not so good.
Code:

 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/bin/vim -> app-editors/vim
 *   /usr/lib/ImageMagick-6.6.5/modules-Q16/coders/svg.la -> media-gfx/imagemagick
 *  !!! /usr/lib/apache2/modules/mod_wsgi.so not owned by any package is broken !!!
 *   /usr/lib/apache2/modules/mod_wsgi.so -> (none)
 *   /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/engines/libsvg.la -> gnome-base/librsvg
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-am-et.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-cedilla.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-inuktitut.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-ipa.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-multipress.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-thai.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-ti-er.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-ti-et.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-viqr.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/immodules/im-xim.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.la -> gnome-base/librsvg
 *   /usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-file.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-lpr.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/modules/libferret.la -> x11-libs/gtk+
 *   /usr/lib/gtk-2.0/modules/libgail.la -> x11-libs/gtk+
 *   /usr/lib/libXdamage.la -> x11-libs/libXdamage
 *   /usr/lib/libXrender.la -> x11-libs/libXrender
 *   /usr/lib/libcairo.la -> x11-libs/cairo
 *   /usr/lib/libgailutil.la -> x11-libs/gtk+
 *   /usr/lib/libgdk_pixbuf_xlib-2.0.la -> x11-libs/gtk+
 *   /usr/lib/librsvg-2.la -> gnome-base/librsvg
 *   /usr/lib/python2.6/site-packages/PIL/_imaging.so -> dev-python/imaging
 *   /usr/lib/python2.6/site-packages/PIL/_imagingcms.so -> dev-python/imaging
 *   /usr/lib/python2.6/site-packages/PIL/_imagingft.so -> dev-python/imaging
 *   /usr/lib/python2.6/site-packages/PIL/_imagingmath.so -> dev-python/imaging
 *   /usr/lib/python2.6/site-packages/_cracklibmodule.so -> sys-libs/cracklib
 *   /usr/lib/python2.6/site-packages/_lcms.so -> media-libs/lcms
 *   /usr/lib/python2.6/site-packages/_mysql.so -> dev-python/mysql-python
 *   /usr/lib/python2.6/site-packages/libxsltmod.so -> dev-libs/libxslt
 *   /usr/lib/python2.6/site-packages/netsnmp/client_intf.so -> net-analyzer/net-snmp
 *   /usr/lib/python2.6/site-packages/pysqlite2/_sqlite.so -> dev-python/pysqlite
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
[ebuild   R   ] media-libs/lcms-1.19
[ebuild   R   ] dev-libs/libxslt-1.1.26-r1
[ebuild   R   ] dev-python/pysqlite-2.6.3
[ebuild   R   ] net-analyzer/net-snmp-5.4.2.1-r4
[ebuild   R   ] sys-libs/cracklib-2.8.16
[ebuild   R   ] dev-python/mysql-python-1.2.3
[ebuild   R   ] x11-libs/libXrender-0.9.6
[ebuild   R   ] x11-libs/libXdamage-1.1.3
[ebuild   R   ] dev-python/imaging-1.1.7
[ebuild  N    ] virtual/pam-0
[ebuild  N    ] virtual/mta-0
[ebuild     U ] x11-libs/cairo-1.10.2-r1 [1.8.10]
[ebuild   R   ] app-editors/vim-7.3.50
[ebuild  N    ] x11-libs/gdk-pixbuf-2.22.1
[ebuild     U ] x11-libs/gtk+-2.22.1-r1 [2.20.1-r1]
[blocks b     ] <x11-libs/gtk+-2.21.3:2 ("<x11-libs/gtk+-2.21.3:2" is blocking x11-libs/gdk-pixbuf-2.22.1)
[ebuild     U ] gnome-base/librsvg-2.32.1 [2.26.3]
[blocks b     ] <gnome-base/librsvg-2.31.0 ("<gnome-base/librsvg-2.31.0" is blocking x11-libs/gdk-pixbuf-2.22.1)
[ebuild   R   ] media-gfx/imagemagick-6.6.5.6

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/cairo:0

  (x11-libs/cairo-1.10.2-r1, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/cairo-1.8.10, installed) pulled in by
    >=x11-libs/cairo-1.6[X,svg] required by (x11-libs/gtk+-2.22.1-r1, ebuild scheduled for merge)
    (and 1 more with the same problem)


!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might at least allow emerge to give a suggestions.

 *
 * Warning: Failed to resolve package order.
 * Will merge in arbitrary order
 *
Possible reasons:
- An ebuild is no longer in the portage tree.
- An ebuild is masked, use /etc/portage/packages.keyword
and/or /etc/portage/package.unmask to unmask it
.....
 * All prepared. Starting rebuild
emerge --oneshot   app-editors/vim:0
dev-libs/libxslt:0
dev-python/imaging:0
dev-python/mysql-python:0
dev-python/pysqlite:2
gnome-base/librsvg:2
media-gfx/imagemagick:0
media-libs/lcms:0
net-analyzer/net-snmp:0
sys-libs/cracklib:0
x11-libs/cairo:0
x11-libs/gtk+:2
x11-libs/libXdamage:0
x11-libs/libXrender:0
..........
Calculating dependencies... done!
[ebuild     U ] x11-libs/cairo-1.10.2-r1 [1.8.10] USE="qt4%* -X* (-drm) (-gallium) (-openvg) -static-libs%"
[ebuild   R   ] x11-libs/libXdamage-1.1.3
[ebuild   R   ] x11-libs/libXrender-0.9.6
[ebuild   R   ] app-editors/vim-7.3.50  USE="-X*"
[ebuild   R   ] dev-libs/libxslt-1.1.26-r1
[ebuild   R   ] dev-python/pysqlite-2.6.3
[ebuild   R   ] net-analyzer/net-snmp-5.4.2.1-r4  USE="-X*"
[ebuild   R   ] sys-libs/cracklib-2.8.16
[ebuild   R   ] dev-python/imaging-1.1.7  USE="-X*"
[ebuild   R   ] dev-python/mysql-python-1.2.3
[ebuild   R   ] media-libs/lcms-1.19
[ebuild  N    ] x11-libs/gdk-pixbuf-2.22.1  USE="X jpeg -debug -doc (-introspection) -jpeg2k -test -tiff"
[ebuild     U ] x11-libs/gtk+-2.22.1-r1 [2.20.1-r1] USE="-examples%"
[blocks b     ] <x11-libs/gtk+-2.21.3:2 ("<x11-libs/gtk+-2.21.3:2" is blocking x11-libs/gdk-pixbuf-2.22.1)
[ebuild     U ] gnome-base/librsvg-2.32.1 [2.26.3] USE="gtk%*"
[blocks b     ] <gnome-base/librsvg-2.31.0 ("<gnome-base/librsvg-2.31.0" is blocking x11-libs/gdk-pixbuf-2.22.1)
[ebuild   R   ] media-gfx/imagemagick-6.6.5.6  USE="-X*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/cairo:0

  (x11-libs/cairo-1.10.2-r1, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/cairo-1.8.10, installed) pulled in by
    >=x11-libs/cairo-1.6[X,svg] required by (x11-libs/gtk+-2.22.1-r1, ebuild scheduled for merge)


!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might at least allow emerge to give a suggestions.

 *
 * revdep-rebuild failed to emerge all packages.        <==============================================
 * you have the following choices:
 * - If emerge failed during the build, fix the problems and re-run revdep-rebuild.
 * - Use /etc/portage/package.keywords to unmask a newer version of the package.
 *   (and remove 5_order.rr to be evaluated again)
 * - Modify the above emerge command and run it manually.
 * - Compile or unmerge unsatisfied packages manually,
 *   remove temporary files, and try again.
 *   (you can edit package/ebuild list first)
 *
 * To remove temporary files, please run:
 * rm /tmp/revdep-rebuild.N74oG4VQC5/*.rr
 * Found some broken files that weren't associated with known packages
 * The broken files are:
 *   /usr/lib/apache2/modules/mod_wsgi.so
Back to top
View user's profile Send private message
chiefbag
Guru
Guru


Joined: 01 Oct 2010
Posts: 440
Location: The Kingdom of Kerry

PostPosted: Wed Apr 27, 2011 3:34 pm    Post subject: Reply with quote

CurtE

Did you refer to the following thread, it shows how to get a working version of python without using emerge?

http://forums.gentoo.org/viewtopic.php?t=5746
_________________
A place for useful technical information
Back to top
View user's profile Send private message
CurtE
Guru
Guru


Joined: 17 Apr 2004
Posts: 364
Location: Minneapolis, MN

PostPosted: Wed Apr 27, 2011 3:39 pm    Post subject: Reply with quote

csmn2 ~ # eselect python list
Available Python interpreters:
[1] python2.7 *
[2] python3.1

Now I have two Python's but before it only showed 3.1, unless this is a false positive and Python isn't really there.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum